Subject: ANNOUNCE: Yet another graph module...
From: Mats Kindahl <[email-masked]>
Date: 26 Nov 1998 03:39:22 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I feel this is kind of silly, since there are now three different
graph modules in CPAN, but I release it anyway for the reasons
mentioned below.

Announcing the release of a Perl Module Graph, Version 0.01

Graph::Directed   - Manipulation of directed graphs

This package allows the construction and manipulation of graphs. There
is already two packages available on CPAN: one written by Neil Bowers
and one written by Jarkko Hietaniemi. The main reason to why I didn't
use those packages is because they didn't exist when I wrote
this. However, there are some other differences as well: namely the
following:

  - Both are missing Tarjan's algorithm (for finding strongly